package com.tocean.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tocean.app.controller.request.PaperOperateRequest;
import com.tocean.app.entity.Paper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface PaperMapper extends BaseMapper<Paper> {

    IPage<Paper> page(Page<?> page, @Param("request")PaperOperateRequest request);

}
